* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "poppins", sans-serif;
  transition: all 0.3s linear;
  user-select: none;
}
html,
body {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
}
header {
  z-index: 999;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 200px;
  transition: 0.5s ease;
}

header .brand {
  color: #fff;
  font-size: 1.5em;
  font-weight: 700;
  text-transform: uppercase;
  text-decoration: none;
}

header .navigation {
  position: relative;
}

header .navigation .navigation-items a {
  transition: all 0;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  text-decoration: none;
  transition: 0.3s ease;
  padding: 15px 20px;
}

header .navigation .navigation-items a:before {
  transition: all 0.3s linear;
  content: "";
  position: absolute;
  background: #fff;
  width: 100%;
  height: 3px;
  bottom: 0;
  left: -50%;
  opacity: 0;
}

header .navigation .navigation-items a:hover:before {
  left: 0;
  opacity: 1;
}

section {
  padding: 100px 200px;
}

.home {
  position: relative;
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: start;
  flex-direction: column;
  background-color: black;
}

.home:before {
  z-index: 777;
  content: "";
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.home .content {
  z-index: 888;
  color: #fff;
  width: 70%;
  margin-top: 50px;
  display: none;
}

.home .content.active {
  display: block;
}

.home .content h1 {
  font-size: 4em;
  font-weight: 900;
  text-transform: uppercase;
  letter-spacing: 5px;
  line-height: 75px;
  margin-bottom: 40px;
}

.home .content h1 span {
  font-size: 1.2em;
  font-weight: 600;
}

.home .content p {
  margin-bottom: 65px;
}

.home .content a {
  background: #fff;
  padding: 15px 35px;
  color: #1680ac;
  font-size: 1.1em;
  font-weight: 500;
  text-decoration: none;
  border-radius: 2px;
}

.home .media-icons {
  z-index: 888;
  position: absolute;
  right: 3%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: 0.3s ease;
}

.home .media-icons a {
  color: #fff;
  font-size: 1.6em;
  transition: 0.3s ease;
}

.home .media-icons a:not(:last-child) {
  margin-bottom: 20px;
}

.home .media-icons a:hover {
  transform: scale(1.3);
}

.home video {
  z-index: 000;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slider-navigation {
  width: 100%;
  text-align: center;
  z-index: 888;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateY(80px);
  margin-bottom: 12px;
}

.slider-navigation .nav-btn {
  text-align: center;
  width: 12px;
  height: 12px;
  background: #fff;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0 0 2px rgba(255, 255, 255, 0.5);
  transition: 0.3s ease;
}

.slider-navigation .nav-btn.active {
  background-color: black;
  scale: 1.4;
}

.slider-navigation .nav-btn:not(:last-child) {
  margin-right: 20px;
}

.slider-navigation .nav-btn:hover {
  transform: scale(1.2);
}

.video-slide {
  position: absolute;
  width: 100%;
  clip-path: circle(0% at 0 50%);
}

.video-slide.active {
  clip-path: circle(150% at 0 50%);
  transition: 2s ease;
  transition-property: clip-path;
}

@media (max-width: 1040px) {
  header {
    padding: 12px 20px;
  }

  section {
    padding: 100px 20px;
  }

  .home .media-icons {
    right: 15px;
  }

  header .navigation {
    display: none;
  }

  header .navigation.active {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(1, 1, 1, 0.5);
  }

  header .navigation .navigation-items a {
    color: #222;
    font-size: 1.2em;
  }

  header .navigation .navigation-items a:before {
    background: #222;
    height: 5px;
  }

  header .navigation .navigation-items {
    background: #fff;
    width: 100%;

    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 5px;
    box-shadow: 0 5px 25px rgba(1 1 1 / 20%);
  }

  .menu-btn {
    background: url(./images/menu-line.png) no-repeat;
    background-size: 30px;
    background-position: center;
    width: 40px;
    height: 40px;
    cursor: pointer;
    transition: 0.3s ease;
  }

  .menu-btn.active {
    z-index: 999;
    background: url(./images/close-line.png) no-repeat;
    background-size: 30px;
    width: 40px;
    height: 40px;
    background-position: center;
    transition: 0.3s ease;
  }
  .content.content.active > h1 {
    font-size: 40px;
  }
}
@media (max-width: 350px) {
  .home {
    width: 100%;
  }
  .content.content.active > h1 {
    font-size: 30px;
  }
  .content.content.active > p {
    font-size: 13px;
  }
  .content.active > a {
    font-size: 0.8em;
    padding: 7px 18px;
  }
  .media-icons > a > i {
    font-size: 15px;
  }
}
@media (max-width: 270px) {
  .home {
    width: 100%;
  }
  .content.content.active > h1 {
    font-size: 25px;
  }
}
